hpp-affordance: hpp::affordance::SupportOperation Class Reference

hpp-affordance 9.0.2 Implementation to Extract Whole-Body Affordances for Mutli-Contact Planning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
hpp::affordance::SupportOperation Class Reference
Affordance

`#include <hpp/affordance/operations.hh>`

Inheritance diagram for hpp::affordance::SupportOperation:
[legend]
Collaboration diagram for hpp::affordance::SupportOperation:
[legend]

## Public Member Functions
| SupportOperation (const double margin=0.3, const double nbTriMargin=0.3, const double minArea=0.05, const char *affordanceName="Support")
bool | requirement (const coal::Vec3s &normal)
Public Member Functions inherited from hpp::affordance::OperationBase
| OperationBase ()
| OperationBase (const double margin=0.3, const double nbTriMargin=0.3, const double minArea=0.05, const char *affordanceName="noAffordance")

## Additional Inherited Members
Public Attributes inherited from hpp::affordance::OperationBase
const coal::Vec3s | zWorld_
const double | margin_
| The error margin within which the requirement function must be fullfilled.
const double | neighbouringTriangleMargin_
const double | minArea_
const char * | affordance_
| Name of the affordance type for which te requirement exists.

## Detailed Description

Class that contains the information needed to create affordance objects of type Support. Inherits the OperationBase class.

## Constructor & Destructor Documentation

## ◆ SupportOperation()

hpp::affordance::SupportOperation::SupportOperation | ( | const double | margin = 0.3,
|  | const double | nbTriMargin = 0.3,
|  | const double | minArea = 0.05,
|  | const char * | affordanceName = "Support" )
| inline explicit

Constructor that takes in user-defined parameters

Parameters

  margin | Margin needed for the evaluation of the requirement function
  nbTriMargin | Margin between two triangles tested for a single affordance surface. If the angle between two triangles is greater than the provided margin, the triangles cannot be part of the same affordance surface.
  minArea | Minimum area needed for the formation of an affordance object
  affordanceName | The name of the affordance type

## Member Function Documentation

## ◆ requirement()

bool hpp::affordance::SupportOperation::requirement | ( | const coal::Vec3s & | normal | ) |
| inline virtual

The implementation of the requirement function for Support affordances overrides the virtual function in class OperationBase.

Parameters

  nromal | Normal vector of the tested triangle.

Implements hpp::affordance::OperationBase.

The documentation for this class was generated from the following file:

- include/hpp/affordance/operations.hh